@font-face {
    font-family: RoobertCEZ;
    src: url(roobertCEZ/RoobertCEZ-Light.woff) format('woff'), url(roobertCEZ/RoobertCEZ-Light.otf) format('opentype');
}

:root {
    --ui-border-radius: 0.2rem;
    --color-cez-orange: #F24F00;
    --color-cez-lightorange: #FF9C3D;
    --color-cez-brightorange: #FFDA9C;
    --color-cez-brightorange-alpha: rgba(255, 218, 156, .5);
    --color-cez-brightgreen: #CBF0CB;
    --color-cez-lightgreen: #7FDB8F;
    --color-cez-green: #00C752;
    --color-cez-darkgreen: #008c47;
    --color-cez-darkestgreen: #005934;
    --color-cez-gray: #63666A;
    --color-cez-midlegray: #989EA3;
    --color-cez-darkgray: #363738;
    --color-cez-brightgray: #EEF1F3;
    --color-cez-brightgray-alpha: rgba(238, 241, 243, .5);
    --color-synergit-darkred: #D21C33;
}

html, body {
    font-family: RoobertCEZ;
    font-size: 0.98em;
}

a, .btn-link {
    color: var(--color-cez-darkgray);
    text-decoration: none;
}

a:hover {
    color: var(--color-cez-midlegray);
}


/* BOOTSTAP OVERRIDES -------------------------------- */

.form-control::placeholder {
    color: #CCC;
    opacity: 1;
}

.form-control:disabled, .form-control[readonly] {
    background-color: var(--color-cez-brightgray-alpha);
}

.form-control:focus {
    border-color: var(--color-cez-green);
    box-shadow: 0 0 0 .25rem rgba(0, 199, 82, .25);
}

.form-select:focus {
    border-color: var(--color-cez-green);
    box-shadow: 0 0 0 .25rem rgba(0, 199, 82, .25);
}

.form-label {
    margin-bottom: .1rem
}

.form-check {
    margin-top: .1rem;
    margin-bottom: .1rem;
}

.form-check-input:disabled ~ .form-check-label, .form-check-input[disabled] ~ .form-check-label {
    opacity: .75;
}

.form-check-input:checked {
    background-color: var(--color-cez-green);
    border-color: var(--color-cez-green);
}

.form-check-input:focus {
    border-color: var(--color-cez-green);
    box-shadow: 0 0 0 .25rem rgba(0, 199, 82, .25);
}

.dropdown-toggle::after {
    vertical-align: middle;
}

.dropdown-item {
    cursor: default;
}

.badge {
    font-size: 100%;
    padding: .25em .5em;
}

.nav-link {
    color: inherit;
}

.btn:focus {
    box-shadow: none !important;
}

.btn-warning {
    background-color: var(--color-cez-lightorange);
    border-color: var(--color-cez-lightorange);
}

.btn-warning:hover {
    background-color: var(--color-cez-brightorange);
    border-color: var(--color-cez-lightorange);
}

.btn-check:active + .btn-warning, .btn-check:checked + .btn-warning, .btn-warning.active, .btn-warning:active, .show > .btn-warning.dropdown-toggle {
    color: #000;
    background-color: var(--color-cez-brightorange);
    border-color: var(--color-cez-lightorange);
}

.btn-check:focus + .btn-warning, .btn-warning:focus {
    color: #000;
    background-color: var(--color-cez-brightorange);
    border-color: var(--color-cez-lightorange);
}

.btn-success {
    color: #FFF;
    background-color: var(--color-cez-darkgreen);
    border-color: var(--color-cez-darkgreen);
}

.btn-success.disabled, .btn-success:disabled {
    color: #FFF;
    background-color: var(--color-cez-darkgreen);
    border-color: var(--color-cez-darkgreen);
}

.btn-outline-success {
    color: var(--color-cez-darkgreen);
    border-color: var(--color-cez-darkgreen);
}

.btn-outline-success:hover {
    color: #FFF;
    background-color: var(--color-cez-darkgreen);
    border-color: var(--color-cez-darkgreen);
}

.btn-check:active + .btn-outline-success, .btn-check:checked + .btn-outline-success, .btn-outline-success.active, .btn-outline-success.dropdown-toggle.show, .btn-outline-success:active {
    color: #FFF;
    background-color: var(--color-cez-darkgreen);
    border-color: var(--color-cez-darkgreen);
}

.btn-outline-secondary {
    color: var(--color-cez-gray);
    border-color: var(--color-cez-gray);
}

.btn-outline-secondary:hover {
    color: #FFF;
    background-color: var(--color-cez-gray);
    border-color: var(--color-cez-gray);
}

.btn-check:active + .btn-outline-secondary, .btn-check:checked + .btn-outline-secondary, .btn-outline-secondary.active, .btn-outline-secondary.dropdown-toggle.show, .btn-outline-secondary:active {
    color: #FFF;
    background-color: var(--color-cez-gray);
    border-color: var(--color-cez-gray);
}

.alert-success {
    color: var(--color-cez-darkestgreen);
    background-color: var(--color-cez-brightgreen);
    border-color: var(--color-cez-lightgreen);
}

.alert-secondary {
    background-color: #EEF1F3;
    border-color: #CCC;
}


/* COMMON & SITE SPECIFIC -------------------------------- */

.mandatory {
    background-color: var(--color-cez-brightorange-alpha);
}

.mandatory:focus {
    background-color: var(--color-cez-brightorange-alpha) !important;
}

.ui-checkbox {
    display: block;
    height: 24px;
    width: 24px;
}

.ui-wrap-cell {
    overflow-wrap: break-word;
    word-break: break-word;
}

.ui-unwrap-cell {
    white-space: nowrap;
}

.ui-width-24 {
    width: 24px;
}

.ui-width-32 {
    width: 32px;
}

.ui-width-64 {
    width: 64px;
}

.ui-height-24 {
    height: 24px;
}

.ui-height-32 {
    height: 32px;
}

.ui-width-fitcontent {
    width: fit-content;
}

.ui-height-fitcontent {
    height: fit-content;
}

.ui-keep-height:empty::after {
    content: "\200b";
    visibility: hidden;
}

.ui-cursor-pointer {
    cursor: pointer;
}

.ui-row-group {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.ui-info-text {
    white-space: normal;
    font-weight: 600;
}

.ui-gdpr-text {
    white-space: normal;
    font-style: italic;
    margin: 0;
}

.ui-login-buttons {
    text-align-last: justify;
}

.ui-normal-line-height {
    line-height: normal;
}

.ui-img-padding {
    padding: .375rem .375rem;
}

.ui-request-type-text {
    font-size: 80%;
    font-style: italic;
}

.ui-bg-draft {
    background-color: var(--color-cez-midlegray);
}

.ui-bg-processing {
    background-color: var(--color-cez-orange);
}

.ui-bg-finished {
    background-color: var(--color-cez-darkgreen);
}

.ui-bg-term-ok {
    background-color: var(--color-cez-green);
}

.ui-bg-term-warning {
    background-color: var(--color-cez-lightorange);
}

.ui-bg-term-ko {
    background-color: var(--color-synergit-darkred);
}

.ui-page-tabs {
    background-color: rgba(0, 0, 0, .03);
    justify-content: center;
}

.ui-important-text {
    color: var(--color-cez-orange);
}

.ui-green-text {
    color: var(--color-cez-darkgreen);
}

sub, sup {
    position: relative;
    font-size: 0.75rem;
    line-height: 0;
    vertical-align: baseline;
}

.ui-tiny-text {
    font-size: 60%;
}

.ui-infostrip-btngroup {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.ui-table-img-width {
    width: 500px;
}


/* REQUEST FORM -------------------------------- */

.ui-form-tabs {
    background-color: rgba(0, 0, 0, .03);
    font-weight: bold;
    margin-bottom: .5rem;
}

.ui-form-area-caption {
    display: flex;
    text-transform: uppercase !important;
    align-items: center;
    white-space: normal;
    font-weight: 600;
}

.ui-form-area-caption::after {
    content: '';
    flex: auto;
    margin-left: 1rem;
    border-top: 1px solid #000;
    opacity: .5;
}

.ui-form-area-caption .dropdown-item {
    text-transform: none !important;
}

.ui-form-caption {
    display: flex;
    align-items: center;
    white-space: normal;
    font-size: 1.2em;
    font-weight: 800;
    margin-bottom: 1rem;
}

hr.ui-form-separator {
    border-top: 4px solid var(--color-cez-darkgray);
    border-radius: 4px;
    opacity: 1;
    margin: .5rem 0 1rem 0;
}

hr.ui-form-separator-thin {
    border-top: 2px solid var(--color-cez-darkgray);
    border-radius: 2px;
    opacity: 1;
    margin: .5rem 0 1rem 0;
}

.ui-form-comment {
    white-space: normal;
    font-style: italic;
    padding-inline: 30px;
    text-align: justify;
    margin-bottom: 1rem;
}

.ui-form-comment-sub1 {
    white-space: normal;
    font-style: italic;
    padding-inline: 50px;
    text-align: justify;
}

.ui-form-comment-sub2 {
    white-space: normal;
    font-style: italic;
    padding-inline: 80px;
    text-align: justify;
}

.ui-form-supercaption {
    display: flex;
    align-items: center;
    white-space: normal;
    font-size: 1.5em;
    font-weight: 800;
    color: var(--color-cez-darkgray);
    margin-bottom: 1rem;
}

.ui-form-supercaption::after {
    content: '';
    line-break: strict;
    flex: auto;
    margin-left: 1rem;
    border-top: 2px solid var(--color-cez-darkgray);
    opacity: 1;
}

.ui-form-supercaption::before {
    content: '';
    line-break: strict;
    flex: auto;
    margin-right: 1rem;
    border-top: 2px solid var(--color-cez-darkgray);
    opacity: 1;
}

.ui-mandatory-group {
    width: 100%;
    background-color: var(--color-cez-brightorange-alpha);
    border: 1px solid #dee2e6 !important;
    border-radius: .25rem !important;
    padding: .25rem .75rem !important;
}

.ui-mandatory-check {
    width: max-content !important;
    background-color: var(--color-cez-brightorange-alpha);
    border: 1px solid #dee2e6 !important;
    border-radius: .25rem !important;
    padding: .1rem .75rem 0rem 0rem !important;
    margin: 0rem 0rem .25rem .25rem !important;
}


/* DRAG/DROP ZONE -------------------------------- */

.ui-drag-drop-zone {
    border: 3px dashed var(--color-cez-lightorange);
    padding: 1rem 1.5rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: var(--color-cez-brightgray);
    box-shadow: inset 0 0 8px rgba(0,0,0,0.2);
    color: #AEAEAE;
    cursor: pointer;
    margin: 0 0 1rem 0;
    position: relative;
}

.ui-drag-drop-zone:hover {
    background-color: var(--color-cez-brightgray-alpha);
}

.ui-drag-drop-zone input[type=file] {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
    cursor: pointer;
}

.ui-drag-drop-zone-info {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}


/* CONTAINER -------------------------------- */

.ui-container-spacer {
    padding-top: 1.5rem; /*1: 0.25, 2: 0.5, 3: 1, 4: 1.5, 5: 3*/
    padding-bottom: 3rem;
}

.ui-page-tabs-container-spacer {
    padding-top: 1rem;
    padding-bottom: 1rem;
}

.ui-centered-content-container {
    width: 100%;
    display: flex;
    align-items: center;
    align-content: center;
    justify-content: center;
}

.ui-middle-page-container {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}

.ui-wrapped-cards-container {
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 1.5rem;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
    justify-content: center;
}

.ui-heading-container {
    width: 100%;
    display: flex;
    flex-direction: row;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
    justify-content: center;
    align-content: center;
}

.ui-header-controls-container {
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: start;
}


/* CARD -------------------------------- */

.card {
    border: 1px solid #CCC;
    border-radius: var(--ui-border-radius);
}

.card-img {
    border-radius: var(--ui-border-radius);
}

.card-header {
    font-weight: bold;
}

.ui-login-card {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    padding: 1.25rem 1.25rem;
    box-shadow: 0 .5rem 1rem rgba(0,0,0,.15);
    background-color: #FFF;
    white-space: nowrap;
}


/* BRADCRUMB & HEADING -------------------------------- */

.ui-breadcrumb {
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    padding-bottom: 1rem;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
    justify-content: center;
    align-content: baseline;
    align-items: baseline;
}

.ui-breadcrumb-separator {
    margin: 0 8px;
}

.ui-breadcrumb-self {
    color: var(--color-cez-midlegray);
}

.ui-heading-spacer {
    padding-top: 0rem;
}

.ui-heading {
    font-weight: 900;
    text-align: center;
}

.ui-heading-btngroup {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-content: center;
}

.ui-heading-btn {
    border: 0;
    margin: 0;
    padding: 0;
    align-self: center;
    cursor: pointer;
}

.ui-heading-spinner {
    height: 24px;
    width: 24px;
}


/* TABLE ------------------------------------------- */

.table .ui-table-header {
}

.table .ui-table-header-center {
    text-align: center;
}

.table .ui-table-body {
}

.table .ui-table-body-center {
    text-align: center;
}

.ui-rounded-table {
    border-collapse: inherit;
    border-spacing: 0;
    border-radius: var(--ui-border-radius);
    border: 1px solid #CCC;
    margin-bottom: 0;
}

.ui-rounded-table th {
    background: #EEF1F3!important;
}

.ui-rounded-table tr th {
    border-top-width: 0;
    border-bottom-width: 0;
    vertical-align: middle;
}

.ui-rounded-table tr td {
    vertical-align: middle;
    border-top: 1px solid #CCC;
    border-bottom: none;
}

.ui-rounded-table tr:first-child th:first-child {
    border-top-left-radius: var(--ui-border-radius);
}

.ui-rounded-table tr:first-child th:last-child {
    border-top-right-radius: var(--ui-border-radius);
}

.ui-rounded-table tr:last-child td:first-child {
    border-bottom-left-radius: var(--ui-border-radius);
}

.ui-rounded-table tr:last-child td:last-child {
    border-bottom-right-radius: var(--ui-border-radius);
}

.ui-rounded-table .ui-table-body-no-header tr:first-child td {
    border-top: none;
}
.ui-rounded-table .ui-table-top-row {
    padding-bottom: 0;
}

.ui-rounded-table .ui-table-with-top-row {
    border-top: none;
    padding-top: 0;
}

.ui-rounded-table .ui-table-bottom-row {
    border-top: none;
    padding-top: 0;
}

.ui-rounded-table .ui-table-with-bottom-row {
    padding-bottom: 0;
}

.ui-rounded-table tr .ui-rounded-table-bottom-border {
    border-bottom-width: 1px;
}

.ui-rounded-table tr .ui-rounded-table-right-border {
    border-right: 1px solid #CCC;
}


/* MEDIA ------------------------------------------- */

@media (max-width: 575.98px) {

    .ui-container-spacer {
        padding-top: 1rem;
        padding-bottom: 1.5rem;
        padding-left: 0.5rem;
        padding-right: 0.5rem;
    }

    .ui-page-tabs-container-spacer {
        padding-top: 1rem;
        padding-bottom: 1rem;
        padding-left: 0.5rem;
        padding-right: 0.5rem;
    }

    .ui-heading-btn {
        margin-bottom: 0.5rem;
    }

    .ui-heading-container {
        flex-direction: column;
        padding-left: 0.5rem;
        padding-right: 0.5rem;
    }

    .ui-heading-major {
        font-size: 1.75em;
    }

    .ui-heading-minor {
        font-size: 1.5em;
    }

    .table td, .table th {
        padding: 0.25rem;
    }

    .ui-alert-filter {
        padding: .25rem .25rem;
        margin-bottom: .25rem;
    }
}

@media (min-width: 576px) {

    .ui-wrapped-cards-container {
        max-width: 540px;
    }

    .ui-heading-btngroup {
        margin-left: 1rem !important;
    }

    .ui-heading-major {
        font-size: 2em;
    }

    .ui-heading-minor {
        font-size: 1.75em;
    }

    .ui-alert-filter {
        padding: .5rem .5rem;
        margin-bottom: .5rem;
    }
}

@media (min-width: 768px) {

    .ui-wrapped-cards-container {
        max-width: 720px;
    }

    .ui-login-card {
        width: 620px;
    }
}

@media (max-width: 991.98px) {

    .ui-heading-btn {
        height: 36px;
        width: 36px;
    }

    .ui-heading-spinner-div {
        height: 36px;
        width: 36px;
        padding: 6px;
    }

    .ui-heading-btn-add {
        background-image: url("../img/add_36.png");
    }

    .ui-heading-btn-edit {
        background-image: url("../img/edit_36.png");
    }

    .ui-heading-btn-excel {
        background-image: url("../img/excel_36.png");
    }

    .ui-heading-btn-download {
        background-image: url("../img/download_36.png");
    }
}

@media (min-width: 992px) {

    .ui-wrapped-cards-container {
        max-width: 960px;
    }

    .ui-heading-major {
        font-size: 2.75em;
    }

    .ui-heading-minor {
        font-size: 2.25em;
    }

    .ui-heading-btn {
        height: 48px;
        width: 48px;
    }

    .ui-heading-spinner-div {
        height: 48px;
        width: 48px;
        padding: 12px;
    }

    .ui-heading-btn-add {
        background-image: url("../img/add_48.png");
    }

    .ui-heading-btn-edit {
        background-image: url("../img/edit_48.png");
    }

    .ui-heading-btn-excel {
        background-image: url("../img/excel_48.png");
    }

    .ui-heading-btn-download {
        background-image: url("../img/download_48.png");
    }
}

@media (min-width: 1200px) {

    .ui-wrapped-cards-container {
        max-width: 1140px;
    }
}

@media (max-width: 767.98px) {

    .table .ui-table-header {
        font-size: 80%;
    }

    .table .ui-table-body {
        font-size: 80%;
    }

    .alert {
        font-size: 80%;
    }

    .ui-wrapped-cards-container .card-text {
        /*font-size: 100%;*/
    }

    .ui-small-hide {
        display: none;
    }
}

@media (min-width: 768px) {

    .table .ui-table-body {
        /*font-size: 80%;*/
    }

    .ui-wrapped-cards-container .card-text {
        /*font-size: 80%;*/
    }

    .ui-small-show {
        display: none;
    }
}

@media (max-width: 991.98px) {

    .ui-medium-hide {
        display: none;
    }
}

@media (min-width: 992px) {

    .ui-medium-show {
        display: none;
    }
}

@media (max-width: 1199.98px) {

    .ui-big-hide {
        display: none;
    }
}

@media (min-width: 1200px) {

    .ui-big-show {
        display: none;
    }
}

@media (max-width: 575.98px) {

    .ui-tiny-hide {
        display: none;
    }

    .ui-table-img-width {
        width: 300px;
    }
}

@media (min-width: 576px) {

    .ui-tiny-show {
        display: none;
    }
}

@media screen {

    .no-screen {
        display: none;
    }
}

@media print {

    .no-print {
        display: none;
    }

    .ui-heading-btngroup {
        display: none;
    }

    .ui-breadcrumb {
        display: none;
    }

    .table td {
        background-color: inherit !important;
    }
}


/* ERROR TEXT ------------------------------------------- */

.ui-error-text {
    color: var(--color-cez-orange);
    white-space: normal;
}

#blazor-error-ui {
    background: var(--color-cez-brightorange);
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
    text-decoration: none;
}
